List bookkeeping businesses
curl --request GET \
--url https://sandbox.layerfi.com/v1/reports/bookkeeping \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/reports/bookkeeping"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/reports/bookkeeping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrollment_status": "ACTIVE",
"onboarding_status": "ONBOARDED",
"onboarding_date": "2023-12-25",
"first_bookkeeping_months": "2023-12-25",
"user_requested_catchup_date": "2023-12-25",
"churned_at": "2023-12-25"
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"sort_order": "ASC",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Bookkeeping Status
List bookkeeping businesses
Returns a paginated list of businesses enrolled in bookkeeping for the authenticated client. Businesses with NOT_PURCHASED status are excluded. Designed for lightweight discovery and analytics dashboards.
GET
/
v1
/
reports
/
bookkeeping
List bookkeeping businesses
Returns businesses enrolled in bookkeeping for your client. Businesses with
Results are paginated. The cursor for the next page is returned in
NOT_PURCHASED status are excluded.
Each business includes enrollment_status and onboarding_status. onboarding_status is derived from onboarding_date and active BOOKKEEPING_ONBOARDING call bookings:
| Value | Meaning |
|---|---|
UNSCHEDULED | No onboarding call has been booked. |
SCHEDULED | Waiting for a booked onboarding call. |
NO_SHOWED | Customer booked their onboarding but did not appear. No follow up has been booked yet. |
RESCHEDULED | After no-showing, a new onboarding call is booked. |
ONBOARDED | Onboarding call has occurred. |
meta.pagination.cursor, alongside has_more and (when requested with show_total_count) total_count. For full cursor and limit behavior, see Pagination.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Pagination cursor for fetching the next page of results.
Maximum number of results to return. Must be at least 1. Defaults to 100.
Required range:
x >= 1When true, include total_count in pagination metadata.